### Method

# Gtk RecentManager remove_item

#### Declaration [src]

    gboolean
    gtk_recent_manager_remove_item (
      GtkRecentManager* manager,
      const char* uri,
      GError** error
    )

#### Description [src]

Removes a resource pointed by `uri` from the recently used resources list handled by a recent manager.

#### Parameters

`uri` | `const char*`
| The URI of the item you wish to remove.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the item pointed by `uri` has been successfully removed by the recently used resources list, and `FALSE` otherwise.